%global with_python3 1
%global srcname tzlocal

Name:           python-tzlocal
Version:        1.2.2
Release:        %mkrel 1
Summary:        A Python module that tries to figure out what your local timezone is
Group:          Development/Python

License:        CC0
URL:            https://github.com/regebro/tzlocal
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pytz
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-pytz
BuildRequires:  python3-setuptools
%endif


%description
This Python module returns a tzinfo object with the local timezone information. 
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix 
a glaring hole in pytz, that there is no way to get the local timezone 
information, unless you know the zoneinfo name.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        A Python module that tries to figure out what your local timezone is

License:        CC0

%description -n python3-%{srcname}
This Python module returns a tzinfo object with the local timezone information. 
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix 
a glaring hole in pytz, that there is no way to get the local timezone 
information, unless you know the zoneinfo name.

%endif


%prep
%setup -q -n %{srcname}-%{version}

rm -rf *.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

# Don't install unit tests and test_data
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/test_data
rm %{buildroot}%{python3_sitelib}/%{srcname}/tests.py
rm %{buildroot}%{python3_sitelib}/%{srcname}/__pycache__/tests.cpython*
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Don't install unit tests and test_data
rm -rf %{buildroot}%{python_sitelib}/%{srcname}/test_data
rm %{buildroot}%{python_sitelib}/%{srcname}/tests.py*


%check
%{__python} setup.py test

%if 0%{?with_python3}
%{__python} setup.py test
%endif


%files
%doc PKG-INFO README.rst LICENSE.txt CHANGES.txt
%{python_sitelib}/%{srcname}
%{python_sitelib}/%{srcname}-%{version}-py2.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc PKG-INFO README.rst LICENSE.txt CHANGES.txt
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py3.?.egg-info
%endif


%changelog
* Sun May 22 2016 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1017520
- upgrade 1.2.1

* Fri Feb 19 2016 umeabot <umeabot> 1.1.2-3.mga6
+ Revision: 970693
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.1.2-2.mga6
+ Revision: 887584
- rebuild for python 3.5

* Tue Nov 04 2014 joequant <joequant> 1.1.2-1.mga5
+ Revision: 795581
- imported package python-tzlocal

